/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.doubleclickbidmanager.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * Report status.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the DoubleClick Bid Manager API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ReportStatus extends GenericJson {

  /**
   * If the report failed, this records the cause.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private ReportFailure failure;

  /**
   * The time when this report either completed successfully or failed.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long finishTimeMs;

  /**
   * The file type of the report.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String format;

  /**
   * The state of the report.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String state;

  /**
   * If the report failed, this records the cause.
   * The value returned may be {@code null}.
   */
  public ReportFailure getFailure() {
    return failure;
  }

  /**
   * If the report failed, this records the cause.
   * The value set may be {@code null}.
   */
  public ReportStatus setFailure(ReportFailure failure) {
    this.failure = failure;
    return this;
  }

  /**
   * The time when this report either completed successfully or failed.
   * The value returned may be {@code null}.
   */
  public Long getFinishTimeMs() {
    return finishTimeMs;
  }

  /**
   * The time when this report either completed successfully or failed.
   * The value set may be {@code null}.
   */
  public ReportStatus setFinishTimeMs(Long finishTimeMs) {
    this.finishTimeMs = finishTimeMs;
    return this;
  }

  /**
   * The file type of the report.
   * The value returned may be {@code null}.
   */
  public String getFormat() {
    return format;
  }

  /**
   * The file type of the report.
   * The value set may be {@code null}.
   */
  public ReportStatus setFormat(String format) {
    this.format = format;
    return this;
  }

  /**
   * The state of the report.
   * The value returned may be {@code null}.
   */
  public String getState() {
    return state;
  }

  /**
   * The state of the report.
   * The value set may be {@code null}.
   */
  public ReportStatus setState(String state) {
    this.state = state;
    return this;
  }

}
